from django.urls import path
from .views import (
    CardDetailView,
    TradeOfferHaveCardListView,
    TradeOfferWantCardListView,
    CardListView,
)

app_name = "cards"

urlpatterns = [
    path('', CardListView.as_view(), name='card_list'),
    path('<int:pk>/', CardDetailView.as_view(), name='card_detail'),
    path('<int:pk>/trade-offers-have/', TradeOfferHaveCardListView.as_view(), name='card_trade_offer_have_list'),
    path('<int:pk>/trade-offers-want/', TradeOfferWantCardListView.as_view(), name='card_trade_offer_want_list'),
]
